import { Request, Response } from "express";
import Quadrado from "../../modelo/Quadrado"
export function controleCalcularPerimetro(req: Request, res: Response): Response {
  let lado: number;

  lado = parseFloat(req.params.lado);

  let q = new Quadrado ();
  q.lado = lado;

  const calculoPerimetro = q.calcularPerimetro();

  const objetoRespota = {
    perimetro: calculoPerimetro
  }
  return res.json(objetoRespota);
}