import { Request, Response } from "express";
import Retangulo from "../../modelo/Retangulo";

export function calcularArea(req: Request, res: Response): Response {
  let base, altura: number;

  base = parseFloat(req.body.base);
  altura = parseFloat(req.body.altura);

  let ret = new Retangulo();
  ret.base = base;
  ret.altura = altura;

  const calculoArea = ret.calcularArea();

  const objetoRespota = {
    area: calculoArea
  }
  return res.json(objetoRespota);
}