import { Router } from "express";
import { calcularArea } from "../controlador/retangulo/calcularArea";
import { calcularPerimetro } from '../controlador/retangulo/calcularPerimetro';
import { calcularDiagonal } from '../controlador/retangulo/calcularDiagonal';
export default
  class RoteadorRetangulo {
  private _roteador = Router();

  public getRotas(): Router {

   
    this._roteador.get("/areas", calcularArea);
    this._roteador.get("/perimetros", calcularPerimetro);
    this._roteador.get("/diagonais", calcularDiagonal);
    return this._roteador;
  }
}

