import { Request, Response } from "express";
import Cargo from "../../modelo/Cargo";



export function controle_update(request: Request, response: Response) {

  const cargo = new Cargo();
  cargo.idCargo = parseInt(request.params.idCargo);
  cargo.nomeCargo = request.body.nomeCargo;
  
  cargo.update().then(value => {

    const obj: any = value;
    const resposta = {
      status: true,
      msg: 'executado com sucesso',
      codigo: '201',
      dados: value
    };
    return response.status(201).json(resposta);

  }).catch(erro => {
    console.log(erro);
    const resposta = {
      status: true,
      msg: 'erro ao cadastrar',
      codigo: '200',
      dados: erro
    };
    return response.status(200).send(resposta);
  });


}