"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.controle_getDadosGrafico = void 0;
const Funcionario_1 = __importDefault(require("../../modelo/Funcionario"));
function controle_getDadosGrafico(request, response) {
    const funcionario = new Funcionario_1.default();
    funcionario.getDadosGrafico().then(value => {
        const obj = value;
        const resposta = {
            status: true,
            msg: 'executado com sucesso',
            codigo: '201',
            dados: value
        };
        return response.status(200).json(resposta);
    }).catch(erro => {
        console.log(erro);
        const resposta = {
            status: true,
            msg: 'erro ao buscar dados',
            codigo: '200',
            dados: erro
        };
        return response.status(200).send(resposta);
    });
}
exports.controle_getDadosGrafico = controle_getDadosGrafico;
