import { Router } from "express";
import { controle_login } from "../controlador/funcionario/controle_login";
import { controle_read } from "../controlador/funcionario/controle_read";
import { controle_create } from "../controlador/funcionario/controle_create";
import { controle_delete } from "../controlador/funcionario/controle_delete";
import { controle_getDadosGrafico } from "../controlador/funcionario/controle_getDadosGrafico";
import { controle_update } from "../controlador/funcionario/controle_update";



export default
  class FuncionarioRoteador {

  private _roteador = Router();

  public getRotasFuncionario(): Router {
   
    this._roteador.post("/login", controle_login);
    this._roteador.get("/funcionarios", controle_read);
    this._roteador.post("/funcionarios", controle_create);
    this._roteador.delete("/funcionarios/:idFuncionario", controle_delete);
    this._roteador.put("/funcionarios/:idFuncionario", controle_update);
    
    this._roteador.get("/funcionarios/graficos", controle_getDadosGrafico);
    //this._roteador.get("/funcionarios", controle_read);
   // this._roteador.put("/funcionarios", controle_read);
    //this._roteador.delete("/funcionarios", controle_read);
    


    return this._roteador;
  }
}
