"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.calcularArea = void 0;
const Quadrado_1 = __importDefault(require("../../modelo/Quadrado"));
//controle responsavel pela rota /quadrado/areas/:lado
function calcularArea(request, response) {
    //recupera o lado que veio como parametro na url.
    let lado = parseFloat(request.params.lado);
    let q = new Quadrado_1.default();
    q.lado = lado;
    const objetoJsonResposta = {
        area: q.calcularArea()
    };
    return response.json(objetoJsonResposta);
}
exports.calcularArea = calcularArea;
