"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const calcularArea_1 = require("../controlador/retangulo/calcularArea");
const calcularPerimetro_1 = require("../controlador/retangulo/calcularPerimetro");
const calcularDiagonal_1 = require("../controlador/retangulo/calcularDiagonal");
class RoteadorRetangulo {
    constructor() {
        this._roteador = (0, express_1.Router)();
    }
    getRotas() {
        this._roteador.get("/areas", calcularArea_1.calcularArea);
        this._roteador.get("/perimetros", calcularPerimetro_1.calcularPerimetro);
        this._roteador.get("/diagonais", calcularDiagonal_1.calcularDiagonal);
        return this._roteador;
    }
}
exports.default = RoteadorRetangulo;
