import { Request, Response } from "express";
import Quadrado from "../../modelo/Quadrado"
export function controleCalcularDiagonal(request: Request, resposnse: Response): Response {
  
  let lado: number = parseFloat(request.params.lado);
  let q = new Quadrado ();
  q.lado = lado;

  const calculoDiagonal = q.calcularDiagonal();

  const objetoRespota = {
    diagonal: calculoDiagonal
  }
  return resposnse.json(objetoRespota);
}