"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.controle_delete = void 0;
const Cargo_1 = __importDefault(require("../../modelo/Cargo"));
function controle_delete(request, response) {
    const cargo = new Cargo_1.default();
    cargo.idCargo = parseInt(request.params.idCargo);
    cargo.nomeCargo = request.body.nomeCargo;
    cargo.delete().then(value => {
        const obj = value;
        const resposta = {
            status: true,
            msg: 'executado com sucesso',
            codigo: '200',
            dados: value
        };
        return response.status(200).json(resposta);
    }).catch(erro => {
        console.log(erro);
        const resposta = {
            status: true,
            msg: 'erro ao cadastrar',
            codigo: '200',
            dados: erro
        };
        return response.status(200).send(resposta);
    });
}
exports.controle_delete = controle_delete;
