import { Request, Response } from "express";
import Funcionario from "../../modelo/Funcionario";

export function controle_getDadosGrafico(request: Request, response: Response) {
    
    const funcionario = new Funcionario();

    funcionario.getDadosGrafico().then(value => {
        const obj: any = value;
        const resposta = {
            status: true,
            msg: 'executado com sucesso',
            codigo: '201',
            dados: value
        };

        return response.status(200).json(resposta);

    }).catch(erro => {
        console.log(erro);
        const resposta = {
            status: true,
            msg: 'erro ao buscar dados',
            codigo: '200',
            dados: erro
        };
        return response.status(200).send(resposta);
    });


}